# BINLEGS

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXAMPLES
SEE ALSO
REFERENCES

## NAME

| binlegs − Maintain the GMT index files for mgg supplement

## SYNOPSIS

| binlegs leglistfile [ −R ] [ −D ] [ −P path ] [ −V ]

## DESCRIPTION

| binlegs will make changes to the mgg supplement data base files gmt_legs.d and gmt_index.b for the legs listed in the leglistfile. Normally, only the data archivist will need to be concerned with these operations.

| leglistfile

| Contains the list of legs to be worked on.

## OPTIONS

| No space between the option flag and the associated arguments

| −R |  | Replace the current information if a leg already is in the system. [Default is append].
| −D |  | Delete information for these legs from the system index files.
| −P |  | Set the path to where the gmt_legs.d and gmt_index.b files reside. [Default is the $GMTHOME/lib.mgg directory].
| −V |  | Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

## EXAMPLES

| To add new cruises to the system: binlegs newlegs.lis −V −P/usr/lib/gmt To remove bad legs from the system: binlegs badlegs.lis −D −V −P/usr/lib/gmt

## SEE ALSO

| GMT(l), gmtlegs(l), gmt2bin(l)

## REFERENCES

| Wessel, P., and W. H. F. Smith, 2005, The Generic Mapping Tools (GMT) version 4.1 Technical Reference & Cookbook, SOEST/NOAA. Wessel, P., and W. H. F. Smith, 1998, New, Improved Version of Generic Mapping Tools Released, EOS Trans., AGU, 79 (47), p. 579. Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, EOS Trans., AGU, 76 (33), p. 329. Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, http://www.agu.org/eos_elec/95154e.html, Copyright 1995 by the American Geophysical Union. Wessel, P., and W. H. F. Smith, 1991, Free Software Helps Map and Display Data, EOS Trans., AGU, 72 (41), p. 441.